Remote Disconnection Utility by Twiga Ltd

Remote Disconnection Utility (RDU)
Copyright © 1999-2000

Contents

Last updated 14/04/2000


RDU Configuration

Configuration

To access the RDU configuration screen, click on the 'Configure' button in the main RDU window, or right-click on the RDU icon in the system tray and click on 'Configure' in the pop-up menu.

To exit the configuration screen and save any changes you have made, click on the 'OK' button. To exit the configuration screen without saving any changes you have made, click on the 'Cancel' button.

Initial Configuration ('Network' Page)

Server

The first time you run the Remote Disconnection Server the configuration window will appear. This is because the utility needs you to specify a port that it will use to send and receive TCP/IP messages across the network. The port is set to 1000 by default. You should only try changing the port if you find that the client and server applications are not communicating. Take a note of the name and IP address of the server, these will help you to configure the client. Click on 'OK' to close the configuration window.

Client

The first time you run the Remote Disconnection Client the configuration window will appear. This is because the utility needs you to specify the location of the server and a port that it will use to send and receive TCP/IP messages across the network. You can specify the name OR IP address of the server (but not both). If you have fixed IP addresses on your network, enter the IP address of the server. If you do not have fixed IP addresses, enter the name of the server. If you're not sure what kind of IP addesses you have, enter the name. Again the port will default to 1000 and you should only try changing it if you find that the client and server applications are not communicating. Be sure to specify the same port number in the client configuration as you specified in the server configuration.

'Alerts' Page

The 'Alerts' page has four options:

  • Display pop-up message on connection - if this option is ticked RDU will display a message box when the server modem is connected.

  • Play wave on connection - if this option is ticked RDU will play a speficied WAV file when the server modem is connected. To specify a WAV file click on the '...' button. To hear the currently selected WAV file click on the 'Test' button.

  • Display pop-up message on disconnection - if this option is ticked RDU will display a message box when the server modem is disconnected.

  • Play wave on disconnection - if this option is ticked RDU will play a speficied WAV file when the server modem is disconnected. To specify a WAV file click on the '...' button. To hear the currently selected WAV file click on the 'Test' button.

'Connections' Page

The 'Connections' page has three options all of which allow the user to specify in detail when they want to receive messages from RDU:

  • Only alert me if connected to - if this option is ticked RDU will only alert the user (by displaying a pop-up message or playing a WAV file, depending on the settings in the 'Alerts' page) if the server has connected to one of the DUN connections selected in the list below the checkbox.

  • Only alert me if disconnected from - if this option is ticked RDU will only alert the user (by displaying a pop-up message or playing a WAV file, depending on the settings in the 'Alerts' page) if the server has disconnected from one of the DUN connections selected in the list below the checkbox.

  • Only confirm disconnection if connected to - if this option is ticked RDU will only display the disconnection alert window (which allows the user to 'OK' or 'Cancel' a disconnection request made by another user) if the server is disconnecting from one of the DUN connections selected in the list below the checkbox.

'Other' Page

The 'Other' page has two options that appear only in the RDU Server:

  • Countdown to disconnection - this field allows you to specify how many seconds each user has to 'OK' or 'Cancel' a disconnection request by another user.

  • Automatically redial if modem is disconnected - ticking this option will cause RDU to automatically re-establish a dial-up networking connection that was initiated by RDU if it is not terminated by RDU.

The 'Other' page has four options that appear in both the RDU Server and Client:

  • Beep for last 10 seconds - ticking this option will cause the utility to give an audible alert every second for the last 10 seconds that the disconnection alert is displayed.

  • Automatically dismiss pop-up messages after - checking this option causes any pop-up messages (apart from the disconnection alert) to be automatically dismissed after the specified number of seconds.

  • Auto-minimize after clicking on 'Connect' / 'Disconnect' - checking this option will cause the RDU window to be automatically minimized immediately after you click on the 'Connect' / 'Disconnect' button.

  • Main screen has 'Exit' / 'Minimize' button - this option allows the user to choose whether the right-most button on the main RDU screen exits or minimizes RDU.


What Is RDU?

Contacting Us

If you have any problems using the Remote Disconnection Utility, or have any questions or suggestions for future releases, you can contact us by sending an email to rdu@twiga.ltd.uk

You can register as an RDU user at our website http://www.twiga.ltd.uk and we will keep you informed of future releases.


What Is RDU?

Credits

Thanks to the RDU beta-testers - Tim Brewer, Nathan Sealy and Larry Tippett.

The installer for this product was created using Installer VISE from MindVision Software. For more information on Installer VISE, contact:

MindVision Software
7201 North 7th Street
Lincoln, NE 68521-8913

Voice: | (402) 477-3269
Fax: | (402) 477-1395
E-mail: | mindvision@mindvision.com
Web: | http://www.mindvision.com


RDU Configuration

How Does it Work?

Connecting

When the server modem is disconnected, the second button in the main RDU window has the caption 'Connect'. Clicking on the 'Connect' button will display the 'Select Connection' dialog box which contains a list of all dial-up networking (DUN) connections on the server, unless there is only one DUN connection, in which case RDU will automatically connect to it. Select the required DUN connection from the list and click on the 'Connect' button in the 'Select Connection' dialog box or double-click on the required connection in the list. If the password for the selected DUN connection is not saved, RDU will prompt you to enter it.

Disconnecting

When the server modem is connected, the second button in the main RDU window has the caption 'Disconnect'. When any user clicks on 'Disconnect', all other users are alerted that another user has made a request to disconnect. The alert window counts down from the number of seconds specified in the 'Other' page of the server configuration window to zero. All users can either 'OK' or 'Cancel' the request. If all users 'OK' the request or allow the alert window to countdown to zero, the server modem will be disconnected. If any user 'Cancels' the request the server modem will remain connected and the user who made the request to disconnect will be informed that another user cancelled the disconnection. The server user will need to get used to using the 'Disconnect' option in the Remote Disconnection Server rather than the 'Disconnect' option in the dial-up networking window / task tray icon. If the server user disconnects through dial-up networking there is nothing that RDU can do to prevent it, so all clients will be disconnected without warning.

Sending Messages

To send a message to another RDU user, click on the 'Message' button. The 'Send Message to Another User' dialog box will be displayed. The dialog box contains a list of all current RDU users and a text box for the message. Select one or more users from the list or click on 'Select All' to send a message to all other users, enter a message and click on 'OK' to send it. You cannot send a blank message.

Server Options

There are three options in the main RDU server window:

  • Alert me is a client tries to disconnect - if this option is ticked the disconnection alert will appear on the server when an RDU client makes a disconnection request. If the server is unmanned this option should not be ticked so that the RDU clients will not have to wait for the disconnection alert to countdown to zero on the server before the modem is disconnected.

  • Lock connection - if this option is ticked and another RDU user makes a disconnection request the disconnection will be automatically cancelled. This allows the user to leave their PC unmanned whilst ensuring that other users cannot disconnect the modem - this is useful if the user is downloading a large file.

  • Do not allow server to connect - if this option is ticked RDU will not allow the server modem to be connected. This applies not only to connections made by RDU clients but to any attempt to connect the server modem. It is therefore essential if this option is turned on to remember to turn it off again.

Client Options

There are two options in the main RDU server window:

  • Lock connection - see Server Options above.

  • Alert me when the server (dis)connects - if this option is ticked a pop-up is displayed when the server modem connects or disconnects.

System Tray Icons

When minimized (the default window state) RDU runs as an icon in the system tray. The RDU Server icon has an indicator labelled 'C' - when this is illuminated at least one client is linked to the server. The RDU Client icon has an indicator labelled 'S' - when this is illuminated the client is linked to the server. Both icons have an indicator labelled 'M' - when this is grey the server modem is disconnected, when it is yellow the server modem is connecting and when it is red the server modem is connected. The RDU Server and Client both have a pop-up menu that can be accessed by clicking the right mouse button over the system tray icon. Left-clicking the icon will restore the main window.


What Is RDU?

Known Problems

In some instances the Remote Disconnection Client may crash if the PC is suspended (either from the 'Start' menu or by the power saving options).

RDU may not work if you have a mixture of fixed and automatically obtained IP addresses on your network. In the test system, RDU worked when all machines had fixed IP addresses OR when all machines had automatically obtained IP addresses. If the server had a fixed IP address and the client an automatically obtained IP address (or vice versa) the RDU client could not connect to the RDU server. This was because the client PC could not see the server PC on the network. If you have a mixture of fixed and automatically obtained IP addresses on your network and the server PC can locate the client PC in Network Neighbourhood (and vice versa) RDU should work.

One of the beta-testers has reported that if he starts the RDU Server after connecting to his ISP, RDU picks up the IP address assigned by the ISP, not the IP address of the server PC. The RDU clients are then unable to connect to the RDU server.


What Is RDU?

Release Notes

V0.11 (06/12/1999)

This was the first release to be made generally available.

V0.13 (04/01/2000)

This version includes a number of minor bug fixes and the addition of the 'Connect' feature on the client – this allows the client user to immediately connect the server modem to any dial-up networking connection available on the server.

V0.16 (14/01/2000)

This version includes improved handling for 'lost' clients.

V1.00 (19/01/2000)

This is the first full release created for distribution on the PC Plus magazine coverdisk. Errors are logged in a file called servererr.txt or clienterr.txt to assist in support. The 'OK' button in the disconnection alert no longer has the focus when the alert appears, this is so that if a disconnection request appears when the user is typing they do not accidentally 'OK' it.

V1.1 (14/04/2000)

This release incorporates the following changes:

  • The bug which could cause an error to occur the first time each client is configured has been eliminated.
  • The bug which meant that RDU did not release the modem if it failed to complete a client connection request has been fixed.
  • The bug which could cause an error in 'frmClient.fTerminate' has been fixed.
  • If the password is not saved with the DUN connection on the server, the client is now prompted to enter the password in order to connect.
  • The configuration screen has been divided into four pages to organise the options and make it easier to use.
  • The client now has an 'Auto-minimize after connect / disconnect' option. This was added at the request of a user whose wife was hitting the 'Exit' button on the client instead of the minimize gadget.
  • Both the server and client now have the option to have an 'Exit' or 'Minimize' button in the main window. This was added at the request of a user who was hitting 'Exit' instead of the minimize gadget.
  • The server now has an 'Automatically redial if modem is disconnected' option. RDU will only automatically redial if the connection was instigated by RDU but was not dropped by RDU.
  • In both the server and client it is now possible to specify whether or not to display a pop-up message and / or sound an audible alert when the server connects / disconnects.
  • In both the server and client it is now possible to specify which connections you want to be alerted of.
  • In both the server and client it is now possible to specify which disconnections you want to be alerted of.
  • In both the server and client it is now possible to specify which connections you want to confirm disconnection for.
  • The server can now be used to initiate a dial-up networking connection in the same way as the client. The 'Disconnect' button now has the caption 'Connect' if the modem is disconnected.
  • In both the server and client it is now possible to send a message to another RDU user.


What is RDU?

RDU started life as a quick-and-dirty solution to a problem we had. We had installed Proxy by AnalogX on our network in order to share the modem installed in the server. We soon realised that the main drawback with using any proxy to share a modem is that there is no way to disconnect the modem from any of the other computers on the network. We searched the Internet for a free utility that would resolve this problem but to no avail. Necessity being the mother of invention, RDU was born.

Originally RDU had one purpose - to allow any user to disconnect the modem on the server. However, RDU has progressed since then. RDU now allows you to both connect and disconnect the modem on the server. When connecting the user can choose any dial-up networking (DUN) connection from a list of all DUN connections on the server. From V1.1 RDU will prompt the user if the selected DUN connection requires a password. Also new in V1.1 is the ability to send messages to other RDU users on the network. Perhaps "Remote Disconnection Utility" is no longer an appropriate name, but why confuse people by changing it now?

RDU is freeware. You may distribute the setup utility (rdusetup.exe). Please ask new users to register at our web site ( http://www.twiga.ltd.uk).